### Method

# Manette Device has_input

#### Declaration [src]

    gboolean
    manette_device_has_input (
      ManetteDevice* self,
      guint type,
      guint code
    )

#### Description [src]

Gets whether the device has the given input.

If the input is present, it means that the device can send events for it regardless of whether the device is mapped or not.

#### Parameters

`type`

  Type: `guint`

  The input type.

`code`

  Type: `guint`

  The input code.

#### Return value

Type: `gboolean`

Whether the device has the given input.